Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.engine.value.svg
Class SVGColorManager

    java.lang.Object
      org.apache.batik.css.engine.value.AbstractValueFactory
          org.apache.batik.css.engine.value.AbstractValueManager
              org.apache.batik.css.engine.value.IdentifierManager
                  org.apache.batik.css.engine.value.AbstractColorManager
                      org.apache.batik.css.engine.value.svg.ColorManager
                          org.apache.batik.css.engine.value.svg.SVGColorManager

All Implemented Interfaces:
  ValueManager

Direct Known Subclasses:
  SVGPaintManager

    public class SVGColorManager

extends ColorManager

This class provides a manager for the SVGColor property values.

Field Summary
`protected Value` | `defaultValue` The default value.
`protected String` | `property` The name of the handled property.

Fields inherited from class org.apache.batik.css.engine.value.svg.ColorManager
`DEFAULT_VALUE`

Fields inherited from class org.apache.batik.css.engine.value.AbstractColorManager
`computedValues, values`

Constructor Summary
`SVGColorManager(String prop)` Creates a new SVGColorManager.
`SVGColorManager(String prop, Value v)` Creates a new SVGColorManager.

Method Summary
`Value` | `computeValue(CSSStylableElement elt, String pseudo, CSSEngine engine, int idx, StyleMap sm, Value value)` Implements `ValueManager.computeValue(CSSStylableElement,String,CSSEngine,int,StyleMap,Value)`.
`Value` | `createValue(org.w3c.css.sac.LexicalUnit lu, CSSEngine engine)` Implements `ValueManager.createValue(LexicalUnit,CSSEngine)`.
`protected float` | `getColorValue(org.w3c.css.sac.LexicalUnit lu)` Creates a float value usable as a component of an RGBColor.
`Value` | `getDefaultValue()` Implements `ValueManager.getDefaultValue()`.
`String` | `getPropertyName()` Implements `ValueManager.getPropertyName()`.
`int` | `getPropertyType()` Implements `ValueManager.getPropertyType()`.
`boolean` | `isAdditiveProperty()` Implements `ValueManager.isAdditiveProperty()`.
`boolean` | `isAnimatableProperty()` Implements `ValueManager.isAnimatableProperty()`.
`boolean` | `isInheritedProperty()` Implements `ValueManager.isInheritedProperty()`.

Methods inherited from class org.apache.batik.css.engine.value.AbstractColorManager
`createColorComponent, createRGBColor, getIdentifiers`

Methods inherited from class org.apache.batik.css.engine.value.IdentifierManager
`createStringValue`

Methods inherited from class org.apache.batik.css.engine.value.AbstractValueManager
`createFloatValue`

Methods inherited from class org.apache.batik.css.engine.value.AbstractValueFactory
`createDOMException, createInvalidFloatTypeDOMException, createInvalidFloatValueDOMException, createInvalidIdentifierDOMException, createInvalidLexicalUnitDOMException, createInvalidStringTypeDOMException, createMalformedLexicalUnitDOMException, resolveURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### property

    protected String property

  The name of the handled property.

### defaultValue

    protected Value defaultValue

  The default value.

Constructor Detail

### SVGColorManager

    public SVGColorManager(String prop)

  Creates a new SVGColorManager. The default value is black.

### SVGColorManager

    public SVGColorManager(String prop,
                           Value v)

  Creates a new SVGColorManager.

Method Detail

### isInheritedProperty

    public boolean isInheritedProperty()

  Implements `ValueManager.isInheritedProperty()`.

  Specified by:
    `isInheritedProperty` in interface `ValueManager`
  Overrides:
    `isInheritedProperty` in class `ColorManager`

### isAnimatableProperty

    public boolean isAnimatableProperty()

  Implements `ValueManager.isAnimatableProperty()`.

  Specified by:
    `isAnimatableProperty` in interface `ValueManager`
  Overrides:
    `isAnimatableProperty` in class `ColorManager`

### isAdditiveProperty

    public boolean isAdditiveProperty()

  Implements `ValueManager.isAdditiveProperty()`.

  Specified by:
    `isAdditiveProperty` in interface `ValueManager`
  Overrides:
    `isAdditiveProperty` in class `ColorManager`

### getPropertyType

    public int getPropertyType()

  Implements `ValueManager.getPropertyType()`.

  Specified by:
    `getPropertyType` in interface `ValueManager`
  Overrides:
    `getPropertyType` in class `ColorManager`

### getPropertyName

    public String getPropertyName()

  Implements `ValueManager.getPropertyName()`.

  Specified by:
    `getPropertyName` in interface `ValueManager`
  Overrides:
    `getPropertyName` in class `ColorManager`

### getDefaultValue

    public Value getDefaultValue()

  Implements `ValueManager.getDefaultValue()`.

  Specified by:
    `getDefaultValue` in interface `ValueManager`
  Overrides:
    `getDefaultValue` in class `ColorManager`

### createValue

    public Value createValue(org.w3c.css.sac.LexicalUnit lu,
                             CSSEngine engine)
                      throws DOMException

  Implements `ValueManager.createValue(LexicalUnit,CSSEngine)`.

  Specified by:
    `createValue` in interface `ValueManager`
  Overrides:
    `createValue` in class `AbstractColorManager`
  Parameters:
    `lu` - The SAC lexical unit used to create the value.
    `engine` - The calling CSSEngine.
  Throws:
    `DOMException`

### computeValue

    public Value computeValue(CSSStylableElement elt,
                              String pseudo,
                              CSSEngine engine,
                              int idx,
                              StyleMap sm,
                              Value value)

  Implements `ValueManager.computeValue(CSSStylableElement,String,CSSEngine,int,StyleMap,Value)`.

  Specified by:
    `computeValue` in interface `ValueManager`
  Overrides:
    `computeValue` in class `AbstractColorManager`
  Parameters:
    `elt` - The owner of the value.
    `pseudo` - The pseudo element.
    `engine` - The CSSEngine.
    `idx` - The property index in the engine.
    `sm` - The computed style map.
    `value` - The value to compute.

### getColorValue

    protected float getColorValue(org.w3c.css.sac.LexicalUnit lu)

  Creates a float value usable as a component of an RGBColor.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.